> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a contact activity



## OpenAPI

````yaml https://givebutter.com/docs/api.json delete /v1/contacts/{contact}/activities/{activity}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/contacts/{contact}/activities/{activity}:
    delete:
      tags:
        - Contact Activities
      summary: Delete a contact activity
      operationId: contacts.activities.destroy
      parameters:
        - name: contact
          in: path
          required: true
          description: The contact ID
          schema:
            type: integer
        - name: activity
          in: path
          required: true
          description: The activity ID
          schema:
            type: integer
      responses:
        '204':
          description: No content
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````